-- ui screen events

function OnLoad ()

end;


function OnEnter ()

	--SaveTotalScore ();

end;

function OnLeave ()
end;


function OnClick (name)

	Print ("OnClick " .. name .. "\n");
	
	if (name == "Ok") then
		SwitchScreen ("GameComplete");
		return;
	end;
	
end;


function OnUpdate (tdelta)

	akey = GetActiveScreenAnimKey ();

	trans = math.sin (0.5*3.1415926535 * GetActiveScreenTransPhase ());
	SetProperty ("panel:position_offset.y", (1-trans) * 20);
	SetProperty ("panel:alpha", trans);
	
end;

function OnDraw ()

end;
